/*
 * Copyright 2017 by Kappich Systemberatung Aachen
 *
 * This file is part of de.kappich.pat.gnd.
 *
 * de.kappich.pat.gnd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.kappich.pat.gnd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.kappich.pat.gnd.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436
 * mail: <info@kappich.de>
 */

package de.kappich.pat.gnd.choose;

import de.bsvrz.sys.funclib.kappich.annotations.Nullable;
import de.bsvrz.sys.funclib.kappich.selectionlist.ObjectListRenderer;
import de.kappich.pat.gnd.displayObjectToolkit.DisplayObject;

import javax.swing.Icon;

/**
 * @author Kappich Systemberatung
 * @version $Revision:$
 */
public class DisplayObjectListRenderer implements ObjectListRenderer<DisplayObject> {
	@Override
	public String getText(final DisplayObject displayObject) {
		return displayObject.getName();
	}

	@Nullable
	@Override
	public Icon getIcon(final DisplayObject obj) {
		return null;
	}
}
